from gpiozero import MCP3208
from time import sleep
import subprocess

# ADC převodník
mcp = MCP3208(channel=0)
# aktuální úroveň hlasitosti. Výchozí hodnota musí být přepočítaná, takže tu musí být hodnota menší než -3 nebo větší než 103
current = -10

while True:
    # měření hodnoty 
    value = round(100 * mcp.value) # jednotka jsou procenta
    #print(str(value) + " current=" + str(current)) # logování, pro zapnutí odkomentujte
    sleep(0.1) # šetření procesoru. V tomto čase ho náš program nebude vytěžovat.
    if value != current:
        # uložení hodnoty pro budoucí porovnávání
        current = value
        # sestavení příkazu, který akci provede
        command = ["amixer", "-M", "set", "'PCM'", str(current) + "%"]
        # spuštění procesu pro nastavení hlasitosti
        proc = subprocess.Popen(command, stdout=subprocess.PIPE)
        # zachycení výstupu
        (out, err) = proc.communicate()