from gpiozero import MCP3208
from time import sleep
import subprocess
import socket
import sys

clientsocket = socket.socket()
clientsocket.settimeout(10)
clientsocket.connect(("192.168.0.130", 1234))

# ADC převodník
mcp = MCP3208(channel=0)
# aktuální úroveň hlasitosti. Výchozí hodnota musí být přepočítaná, takže tu musí být hodnota menší než -3 nebo větší než 103
current = -10

while True:
    # měření hodnoty 
    value = round(100 * mcp.value) # jednotka jsou procenta
    #print(str(value) + " current=" + str(current)) # logování, pro zapnutí odkomentujte
    sleep(0.1) # šetření procesoru. V tomto čase ho náš program nebude vytěžovat.
    if value != current: # +-3 je tolerance kolísajících hodnot.
        # uložení hodnoty pro budoucí porovnávání
        current = value
        # zaslání dat
        clientsocket.send(bytes([current]))
        